Xfce Foundation Classes
Main Page | Index | Namespace List | Alphabetical List | Class List | File List

# Xfc::Gtk::HSeparator Class Reference

A GtkHSeparator C++ wrapper class. More...

`#include <xfc/gtk/separator.hh>`

Inheritance diagram for Xfc::Gtk::HSeparator:

List of all members.

## Public Member Functions

Constructors

- HSeparator ()
    Construct a new horizontal separator.
- virtual ~HSeparator ()
    Destructor.

Accessors

- GtkHSeparator * gtk_hseparator () const
    Get a pointer to the GtkHSeparator structure.
- operator GtkHSeparator * () const
    Conversion operator; safely converts a HSeparator to a GtkHSeparator pointer.

## Protected Member Functions

Constructors

- HSeparator (GtkHSeparator *hseparator, bool owns_reference=false)
    Construct a new HSeparator from an existing GtkHSeparator.

## Detailed Description

A GtkHSeparator C++ wrapper class.

The HSeparator widget is a horizontal separator, used to group the widgets within a window. It displays a horizontal line with a shadow to make it appear sunken into the interface. Note, the HSeparator widget cannot used as a separator within menus. To create a separator in a menu use a SeparatorMenuItem widget.

## Constructor & Destructor Documentation

Xfc::Gtk::HSeparator::HSeparator | ( | GtkHSeparator * | hseparator,
|  | bool | owns_reference = `false`
| ) | `[explicit, protected]`

Construct a new HSeparator from an existing GtkHSeparator.

Parameters:

  | hseparator | A pointer to a GtkHSeparator.
  | owns_reference | Set false if the initial reference count is floating, set true if it's not.

The hseparator can be a newly created GtkHSeparator or an existing GtkHSeparator (see G::Object::Object).

The documentation for this class was generated from the following file:

- separator.hh

Xfce Foundation Classes

Copyright © 2004-2005 The XFC Development Team | XFC 4.3